org.apache.commons.math3.analysis.interpolation

## Interface TrivariateGridInterpolator

- All Known Implementing Classes:
    TricubicSplineInterpolator

      public interface TrivariateGridInterpolator

  Interface representing a trivariate real interpolating function where the sample points must be specified on a regular grid.
  Since:
    2.2
  Version:
    $Id: TrivariateGridInterpolator.java 1379904 2012-09-01 23:54:52Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrivariateFunction` | `interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval)` Compute an interpolating function for the dataset.

- - ### Method Detail

    - #### interpolate

          TrivariateFunction interpolate(double[] xval,
                                       double[] yval,
                                       double[] zval,
                                       double[][][] fval)
                                         throws NoDataException,
                                                DimensionMismatchException

      Compute an interpolating function for the dataset.
      Parameters:
        `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
        `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
        `zval` - All the z-coordinates of the interpolation points, sorted in increasing order.
        `fval` - the values of the interpolation points on all the grid knots: `fval[i][j][k] = f(xval[i], yval[j], zval[k])`.
      Returns:
        a function that interpolates the data set.
      Throws:
        `NoDataException` - if any of the arrays has zero length.
        `DimensionMismatchException` - if the array lengths are inconsistent.

Copyright (c) 2003-2013 Apache Software Foundation